<?php

namespace App\Controller\Frontend;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

#[Route('/frontend/demo')]
class DemoController extends AbstractController
{

    #[Route('/test', name: 'frontend_demo_test')]
    public function test(Request $request): Response
    {
        return $this->render('frontend/demo/test.html.twig', [
            'controller_name' => 'HomeController',
        ]);
    }

    #[Route('/index', name: 'frontend_demo_index')]
    public function index(): Response
    {
        return $this->render('frontend/demo/index.html.twig', [
            'controller_name' => 'HomeController',
        ]);
    }

    #[Route('/checkbox', name: 'frontend_demo_checkbox')]
    public function checkbox(): Response
    {
        return $this->render('frontend/demo/checkbox.html.twig', [
            'controller_name' => 'HomeController',
        ]);
    }

    #[Route('/radio', name: 'frontend_demo_radio')]
    public function radio(): Response
    {
        return $this->render('frontend/demo/radio.html.twig', [
            'controller_name' => 'HomeController',
        ]);
    }

    #[Route('/404', name: 'frontend_demo_404')]
    public function demo404(): Response
    {
        return $this->render('frontend/demo/404.html.twig');
    }

    #[Route('/blog', name: 'frontend_demo_blog')]
    public function blog(): Response
    {
        return $this->render('frontend/demo/blog.html.twig');
    }

    #[Route('/blogdetails', name: 'frontend_demo_blogdetails')]
    public function blogdetails(): Response
    {
        return $this->render('frontend/demo/blogdetails.html.twig');
    }


    #[Route('/blogdetails2', name: 'frontend_demo_blogdetails2')]
    public function blogdetails2(): Response
    {
        return $this->render('frontend/demo/blogdetails2.html.twig');
    }
}
